function T = findTheta(Gamma,AllS,sig,num,clNum,c,st,Theta);

% Gamma - Matrix of the currently estimated Gammas
% num - number of genes
% X - indicates to which class the gene belongs
% prob - the probability that each gene belongs to a class
% clNum - number of classes
% AllS - Collection of matrices for each gene
% sig - the variance
% orig - original s

T = zeros(size(Gamma,1),size(Gamma,1),clNum);
preT = zeros(size(Gamma,1),size(Gamma,1),clNum);
for j=1:clNum,
  preT(:,:,j) = Theta(:,:,j)^(-1);
end 
for i=1:num,
  curS = (AllS(:,:,i)'*AllS(:,:,i))/sig;
  T(:,:,c(i)) = T(:,:,c(i)) + Gamma(:,i)* Gamma(:,i)' + ...
             (preT(:,:,c(i)) + curS)^(-1);
end
for i=1:clNum,
 T(:,:,i) = T(:,:,i)/sum(c == i);
end
